Loading...
Searching...
No Matches
version.h File Reference
libavfilter

Libavfilter version macros. More...

`#include "libavutil/version.h"`
`#include "version_major.h"`

Go to the source code of this file.

## Macros

#define | LIBAVFILTER_VERSION_MINOR 4
#define | LIBAVFILTER_VERSION_MICRO 100
#define | LIBAVFILTER_VERSION_INT
#define | LIBAVFILTER_VERSION
#define | LIBAVFILTER_BUILD LIBAVFILTER_VERSION_INT
#define | LIBAVFILTER_IDENT "Lavfi" AV_STRINGIFY(LIBAVFILTER_VERSION)

## Detailed Description

Libavfilter version macros.

Definition in file version.h.

## Macro Definition Documentation

## LIBAVFILTER_VERSION_MINOR

#define LIBAVFILTER_VERSION_MINOR 4

Definition at line 34 of file version.h.

## LIBAVFILTER_VERSION_MICRO

#define LIBAVFILTER_VERSION_MICRO 100

Definition at line 35 of file version.h.

## LIBAVFILTER_VERSION_INT

#define LIBAVFILTER_VERSION_INT

Value:
AV_VERSION_INT(LIBAVFILTER_VERSION_MAJOR, \
LIBAVFILTER_VERSION_MINOR, \
LIBAVFILTER_VERSION_MICRO)
AV_VERSION_INT
#define AV_VERSION_INT(a, b, c)
Definition version.h:56
LIBAVFILTER_VERSION_MINOR
#define LIBAVFILTER_VERSION_MINOR
Definition version.h:34
LIBAVFILTER_VERSION_MICRO
#define LIBAVFILTER_VERSION_MICRO
Definition version.h:35
LIBAVFILTER_VERSION_MAJOR
#define LIBAVFILTER_VERSION_MAJOR
Definition version_major.h:30

Definition at line 38 of file version.h.

## LIBAVFILTER_VERSION

#define LIBAVFILTER_VERSION

Value:
AV_VERSION(LIBAVFILTER_VERSION_MAJOR, \
LIBAVFILTER_VERSION_MINOR, \
LIBAVFILTER_VERSION_MICRO)
AV_VERSION
#define AV_VERSION(a, b, c)
Definition version.h:58

Definition at line 41 of file version.h.

## LIBAVFILTER_BUILD

#define LIBAVFILTER_BUILD LIBAVFILTER_VERSION_INT

Definition at line 44 of file version.h.

## LIBAVFILTER_IDENT

#define LIBAVFILTER_IDENT "Lavfi" AV_STRINGIFY(LIBAVFILTER_VERSION)

Definition at line 46 of file version.h.